**Purpose**: If you run an environment with multiple Hyper-V: Failover Clusters, for the purpose of Hyper-V: Failover Cluster Replication via a `Hyper-V Replica Broker` role installed on a host within the Failover Cluster, sometimes a GuestVM will fail to replicate itself to the replica cluster, and in those cases, it may not be able to recover on its own.  This guide attempts to outline the process to rebuild replication for GuestVMs on a one-by-one basis.

!!! note "Assumptions"
    This guide assumes you have two Hyper-V Failover Clusters, for the sake of the guide, we will refer to the Production cluster as `CLUSTER-01` and the Replication cluster as `CLUSTER-02`.  This guide also assumes that Replication was set up beforehand, and does not include instructions on how to deploy a Replica Broker (at this time).

## Locate the GuestVM (CLUSTER-01)
You need to start by locating the GuestVM in the Production cluster, CLUSTER-01.  You will know you found the VM if the "Replication Health" is either `Unhealthy`, `Warning`, or `Critical`.

### Remove Replication from GuestVM (CLUSTER-01)
- Within Hyper-V: Failover Cluster Manager
- - - Right-Click the GuestVM
- - - Navigate to "**Replication > Remove Replication**"

Delete the GuestVM Entirely from Hyper-V: Failover Cluster in Cluster-02 (Replication Cluster)
Delete the GuestVM manually from Hyper-V Manager on Host-05, Host-06, Host-07, Host-08)
Delete the GuestVM's replicated VHDX storage from replication storage on C:\ClusterStorage\Volume02
Enable Replication on GuestVM in Cluster-01 (Production Cluster)